using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsFacilityOperationItem
    {
        [Key]
        public int SiteId { get; set; }
        public int FacilityCode { get; set; }
        [Key]
        public int ItemId { get; set; }
        [StringLength(100)]
        public string Name { get; set; }
        [Required]
        [StringLength(10)]
        public string ResultUnit { get; set; }
        [StringLength(50)]
        public string PointId { get; set; }
        public int? SystemId { get; set; }
        public bool? EnergyCode { get; set; }
        public bool? IsUse { get; set; }
        public int? SortOrderNo { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime? InsertedDate { get; set; }
        [StringLength(24)]
        public string InsertedUserId { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime? UpdatedDate { get; set; }
        [StringLength(24)]
        public string UpdatedUserId { get; set; }

        [ForeignKey("SiteId,ItemId")]
        [InverseProperty("FmsFacilityOperationItem")]
        public virtual CmFacility CmFacility { get; set; }
    }
}
